Bug 210781 - chinese/librime: Update to 1.2.9
Summary: chinese/librime: Update to 1.2.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch, patch-ready
Depends on: 210763 210780
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-03 14:31 UTC by Iblis Lin
Modified: 2016-07-09 04:17 UTC (History)
2 users (show)

See Also:
lichray: maintainer-feedback+


Attachments
librime patch (5.22 KB, patch)
2016-07-03 14:31 UTC, Iblis Lin
lichray: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2016-07-03 14:31:01 UTC
Created attachment 172063 [details]
librime patch

Note that the new version of librime introduce a new depends: libmarisa. So I create a port for it: bug#210780.
Comment 1 Iblis Lin 2016-07-03 14:33:35 UTC
The libopencc >= 1.0.2 is needed also. bug#210763
Comment 2 lichray 2016-07-03 22:11:27 UTC
Maybe you can upgrade fcitx-rime as well so that you can test whether librime works... :)
Comment 3 Iblis Lin 2016-07-04 01:52:21 UTC
(In reply to lichray from comment #2)
The latest version of  fcitx-rime is 0.3.1. (https://github.com/fcitx/fcitx-rime/releases).
And the port is up-to-date already.

I just get fcitx(latest release) + fcitx-rime(latest release) + librime(latest release) + opencc(latest release) + brise(git dev version) work great on my desktop. So I sent these patches here. :)
Comment 4 lichray 2016-07-04 01:57:10 UTC
(In reply to Iblis Lin from comment #3)
Good to hear.  I assume the new opencc is not ABI compatible to the old one, so please just bump the revision of fcitx-rime.
Comment 5 Iblis Lin 2016-07-04 02:04:12 UTC
(In reply to lichray from comment #4)
You mean increase the `PORTREVISION` to 1?

I currently have no idea about how bsd deal with port's ABI change.
Comment 6 lichray 2016-07-04 02:08:40 UTC
(In reply to Iblis Lin from comment #5)
Yes.  If requires recompile/relinking, then it's necessary to force a new (package) version.  ABI compatible means there is no need to recompile and relink.  Considering opencc 1.0's soname is 2 rather than 1, I think the author wants us to recompile and/or relink.
Comment 7 Iblis Lin 2016-07-04 02:13:46 UTC
(In reply to lichray from comment #6)
Ok, I got it. I will make this change and send patch later in the PR of opencc.
Comment 8 VK freebsd_triage 2016-07-07 00:00:17 UTC
Comment on attachment 172063 [details]
librime patch

Thanks for your contributions, folks.

lichray@, please flag the attachment with maintainer-approval(+) so we can track it through "Maintainer Approved" saved search. ;)

Iblis, in the future please request maintainer approval on the attachments (by setting maintainer-approval(?) flag on it with the maintainer email address) so maintainers can flag them approved and help us track the issue properly. ;)
Comment 9 Iblis Lin 2016-07-07 03:11:19 UTC
(In reply to Vladimir Krstulja from comment #8)
Ok, got it. Thanks!
Comment 10 Kurt Jaeger freebsd_committer 2016-07-09 03:46:44 UTC
testbuilds@work
Comment 11 Kurt Jaeger freebsd_committer 2016-07-09 04:15:30 UTC
testbuilds are fine.
Comment 12 Kurt Jaeger freebsd_committer 2016-07-09 04:16:44 UTC
Committed, thanks. A pointer to a changelog would always be welcome 8-)
Comment 13 commit-hook freebsd_committer 2016-07-09 04:17:07 UTC
A commit references this bug:

Author: pi
Date: Sat Jul  9 04:16:28 UTC 2016
New revision: 418259
URL: https://svnweb.freebsd.org/changeset/ports/418259

Log:
  chinese/librime: 1.1 -> 1.2.9

  PR:		210781
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw>
  Approved by:	lichray@gmail.com (maintainer)

Changes:
  head/chinese/fcitx-rime/Makefile
  head/chinese/librime/Makefile
  head/chinese/librime/distinfo
  head/chinese/librime/files/patch-CMakeLists.txt